Create poster PDF
Create poster PDF for printing
Required permissions: POSTER
post/tenants/{tenantUid}/poster-templates/{posterTemplateUid}/pdf
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+posterTemplateUidstringRequiredPattern:
Reference to a poster template
^[A-Za-z0-9-_]+Body
Responses
201
Created
application/pdf
string · binaryOptional
post/tenants/{tenantUid}/poster-templates/{posterTemplateUid}/pdf
POST /v2/tenants/{tenantUid}/poster-templates/{posterTemplateUid}/pdf HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 213
{
"products": [
{
"sku": "text",
"name": "text",
"nowPrice": 1,
"beforePrice": 1,
"discountPercentage": 1,
"brandName": "text",
"description": "text",
"usps": [
"text"
],
"imageUrl": "text",
"barcodeValue": "text",
"properties": [
"text"
]
}
]
}201
Created
binaryLast updated
Was this helpful?

